summaryrefslogtreecommitdiffhomepage
diff options
context:
space:
mode:
-rw-r--r--openwrt/package.sh7
1 files changed, 2 insertions, 5 deletions
diff --git a/openwrt/package.sh b/openwrt/package.sh
index 7b54776cdf..8c75d98b75 100644
--- a/openwrt/package.sh
+++ b/openwrt/package.sh
@@ -58,11 +58,8 @@ cp -r "$IPK_SCAFFOLDING"/* "$IPK_FILES/"
mkdir -p "$IPK_FILES/data/usr/bin/" # Ensure that the /data/usr/bin folder exists before copying files.
cp "$CARGO_TARGET_DIR"/release/{mullvad,mullvad-daemon} "$IPK_FILES/data/usr/bin/"
-# Optional: If `--minify` is used, invoke `upx` to compress binaries before packaging.
-case $3 in
- --minify) upx --best --lzma "$IPK_FILES"/data/usr/bin/* || true ;; # Disregard failure, minify on a best-effort basis.
- *) ;;
-esac
+# TODO: Make this optional: use `upx` to compress binaries before packaging.
+upx --best --lzma "$IPK_FILES"/data/usr/bin/* || true # Disregard failure, minify on a best-effort basis.
# Then make sure everything is owned by root before creating the .ipk archive.
chown -R root:root "$IPK_FILES/"